--- src/launch/Makefile	2006-08-27 16:20:03.000000000 +0200
+++ src/launch/Makefile	2006-08-27 16:57:52.000000000 +0200
@@ -1,6 +1,9 @@
 # Unix Makefile for launching Moscow ML
 # Based on Caml Light (copyright 1993 INRIA)
 
+TRUEBINDIR=/opt/local/bin
+TRUELIBDIR=/opt/local/lib/mosml
+
 include ../Makefile.inc
 
 all: mosml mosmlc mosmllex camlexec testprog 
@@ -13,7 +16,7 @@
 	 cat testprog) > /tmp/testscr
 	chmod a+x /tmp/testscr
 	sh -c 'if sh -c /tmp/testscr 2>/dev/null; \
-               then echo "#!$(BINDIR)/camlrunm" > $(LIBDIR)/header; \
+               then echo "#!$(TRUEBINDIR)/camlrunm" > $(LIBDIR)/header; \
                else ${INSTALL_PROGRAM} camlexec$(EXE) $(LIBDIR)/header; \
                fi'
 	rm -f /tmp/testscr
@@ -23,20 +26,20 @@
 	done
 
 mosml: mosml.tpl
-	sed -e "s|LIBDIR|$(LIBDIR)|" -e "s|BINDIR|$(BINDIR)|" mosml.tpl > mosml
+	sed -e "s|LIBDIR|$(TRUELIBDIR)|" -e "s|BINDIR|$(TRUEBINDIR)|" mosml.tpl > mosml
 
 mosmlc: mosmlc.tpl
-	sed -e "s|LIBDIR|$(LIBDIR)|" -e "s|BINDIR|$(BINDIR)|" mosmlc.tpl > mosmlc
+	sed -e "s|LIBDIR|$(TRUELIBDIR)|" -e "s|BINDIR|$(TRUEBINDIR)|" mosmlc.tpl > mosmlc
 
 mosmllex: mosmllex.tpl
-	sed -e "s|LIBDIR|$(LIBDIR)|" -e "s|BINDIR|$(BINDIR)|" mosmllex.tpl > mosmllex
+	sed -e "s|LIBDIR|$(TRUELIBDIR)|" -e "s|BINDIR|$(TRUEBINDIR)|" mosmllex.tpl > mosmllex
 
 testprog: testprog.sml
 	$(MOSMLC) testprog.sml
 	$(MOSMLL) -noheader -o testprog BasicIO.uo testprog.uo
 
 camlexec.c: camlexec.tpl
-	sed -e "s|LIBDIR|$(LIBDIR)|" -e "s|BINDIR|$(BINDIR)|" camlexec.tpl > camlexec.c
+	sed -e "s|LIBDIR|$(TRUELIBDIR)|" -e "s|BINDIR|$(TRUEBINDIR)|" camlexec.tpl > camlexec.c
 
 camlexec: camlexec.c
 	$(CC) $(OPTS) -o camlexec$(EXE) camlexec.c
